تست همراه اول

سرویس خبر
9 اسفند 1397 ساعت 14:11
0 نظر

 

برنامه‌های جدید برای حضور در فروشگاه گوگل از ماه آگوست نیازمند حداقل سطح API 28 خواهند بود.

به منظور هماهنگی با نسخه‌های جدید سیستم عامل اندروید گوگل سطح بالاتری از API را برای برنامه‌های جدید طلب نموده است.

به تازگی گوگل استانداردهای امنیتی خود را برای برنامه‌های اندروید افزایش داده است. در اوایل سال جاری، اعلامیه‌های مربوط به انتقال به برنامه‌های 64 بیتی توسط گوگل اعلام شد و همچنین اظهار شد که ارسالی‌های پلی استور گوگل در سال 2018 ، 55 درصد بیشتر از 2017 بوده است. در حال حاضر، این شرکت از طراحان نرم افزارهای اندروید خواست تا سطح API بالاتری را هدف قرار دهند. این سطح بیشتر، مزایای امنیت و حفظ حریم خصوصی بیشتری را شامل می‌شود.

از نوامبر 2018، توسعه دهندگان مجبور شدند API سطح 26 را هدف قرار دهند که مربوط به اندروید ورژن 8 یا اوریو است. با این حال، گوگل در حال تشویق توسعه دهندگان به هدف قرار دادن APIهای مدرن و جدیدتری به منظور فراهم کردن تجربه‌های کاربری بهتر برای کاربران اندروید است.


 

از اواخر سال 2019 زمزمه‌هایی مبنی بر درخواست گوگل از توسعه دهندگان نرم افزار مطرح شد که برای ارسال برنامه‌ها از استاندارد سطح 28 API یا اندروید پای تبعیت کنند. الزام رعایت این موارد از ماه نوامبر 2019 خواهد بود. در این رابطه گوگل تذکر می‌دهد که برنامه‌های فعلی فروشگاهش نباید تحت تاثیر این تغییر قرار بگیرند. همچنین توسعه دهندگان برنامه‌های نسخه‌های قدیمی اندروید می‌بایست با استفاده از ویژگی «minSdkVersion» برنامه خود را ارائه دهند.

گوگل همچنین خاطر نشان کرد که فروشگاه‌های برنامه‌های جانبی مخصوصا توزیع کنندگان چینی نرم افزار مانند Oppo، Huawei و Tencent نیز می‌بایست محدودیت‌های سطح 26 API را برای برنامه‌های اندروید اعمال کنند. برای نشان دادن ضرورت این تغییر اشاره شده که 95 درصد از نرم افزارهای جاسوسی تعبیه شده در برنامه‌های ارائه شده در خارج از فروشگاه پلی استور گوگل از سوی کسانی پخش شده است که سطح API 22 یا پایین‌تر را برای کار خود مد نظر قرار می‌دهند.


 

گوگل همچنین به طور پیش فرض، هشدارهای خود در رابطه با برنامه‌های غیر مجاز را به شرح زیر عنوان کرد:

  • اوت 2019: برنامه‌های جدید اگر سطح API 26 یا بالاتر را مد نظر نداشته باشند، در هنگام نصب هشدارهایی دریافت خواهند کرد.
  • نوامبر 2019: نسخه‌های جدید برنامه‌های فعلی نیز اگر سطح API 26 یا بالاتر را مد نظر قرار نداده باشند، در هنگام نصب هشدارها را دریافت خواهند کرد.
  • 2020 به بعد: الزامات سطوح هدف API، سالانه پیشرفت خواهد کرد.

کسانی که گزینه توسعه دهنده را فعال کرده‌اند، پیش از این نیز هشدارهای سطوح را دریافت کرده و نسبت به اصلاح سطح API 26 نرم افزار خود اقدام کرده‌اند. دیگر توسعه دهندگان نیز می‌توانند به راهنمای گوگل برای این سطوح مراجعه کرده تا برنامه‌های خود را به آخرین الزامات سالیانه گوگل مهاجرت دهند.



  9 اسفند 1397
825 بازدید
0 نظر
5.00
  2 رای

نظرات کاربران

در حال بارگذاری